apiVersion: kueue.openshift.io/v1
kind: Kueue
metadata:
  creationTimestamp: '2026-01-27T15:25:40Z'
  finalizers:
    - kueue.openshift.io/finalizer
  generation: 1
  labels:
    app.kubernetes.io/managed-by: kustomize
    app.kubernetes.io/name: kueue-operator
  managedFields:
    - apiVersion: kueue.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            'k:{"type":"Available"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"CertManagerAvailable"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Degraded"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Progressing"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
          'f:readyReplicas': {}
      manager: kueue-operator
      operation: Apply
      subresource: status
      time: '2026-01-27T15:26:31Z'
    - apiVersion: kueue.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            .: {}
            'f:app.kubernetes.io/managed-by': {}
            'f:app.kubernetes.io/name': {}
        'f:spec':
          .: {}
          'f:config':
            .: {}
            'f:integrations':
              .: {}
              'f:frameworks':
                .: {}
                'v:"BatchJob"': {}
                'v:"LeaderWorkerSet"': {}
          'f:logLevel': {}
          'f:managementState': {}
          'f:operatorLogLevel': {}
      manager: Mozilla
      operation: Update
      time: '2026-01-27T15:25:40Z'
    - apiVersion: kueue.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"kueue.openshift.io/finalizer"': {}
      manager: kueue-operator
      operation: Update
      time: '2026-01-27T15:25:40Z'
  name: cluster
  resourceVersion: '90764'
  uid: 3f085100-46ba-432e-af13-c8eca4b930c9
spec:
  config:
    integrations:
      frameworks:
        - BatchJob
        - LeaderWorkerSet
  logLevel: Normal
  managementState: Managed
  operatorLogLevel: Normal
status:
  conditions:
    - lastTransitionTime: '2026-01-27T15:26:31Z'
      message: All 2 replicas are ready
      reason: AllReplicasReady
      status: 'True'
      type: Available
    - lastTransitionTime: '2026-01-27T15:26:31Z'
      message: Deployment is up to date
      reason: AsExpected
      status: 'False'
      type: Progressing
    - lastTransitionTime: '2026-01-27T15:26:31Z'
      message: ''
      reason: AsExpected
      status: 'False'
      type: Degraded
    - lastTransitionTime: '2026-01-27T15:26:06Z'
      message: cert-manager is installed
      reason: CertManagerInstalled
      status: 'True'
      type: CertManagerAvailable
  readyReplicas: 2
